Skip to navigation

List leads

List the leads of an outbound campaign, one per recipient.

Path parameters

campaign_idstringRequired

Headers

xi-api-keystringOptional

Query parameters

page_sizeintegerOptional1-500Defaults to 100
How many items to return at most.
searchstring or nullOptional<=100 characters
Only leads whose ID, user ID or phone number contains this text.
statusenum or nullOptional

in_progress for leads still being called, finished for leads that won’t be called again.

Allowed values:
dispositionlist of enums or nullOptional
Only leads that finished in one of these ways.
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
leadslist of objects
next_cursorstring or null
has_moreboolean

Errors

422
Unprocessable Entity Error